21
BlueStocking
Re: Moving to Php5 definitively

Quote:

because there is a compatibility between php4 to php5 yes, but there'll be not from php4 to php6...


It would make sense to wait for php6 then, wouldn't it?
https://xoops.org/modules/repository .. It is time to get involved - XOOPS.ORG

22
pemen
Re: Moving to Php5 definitively
  • 2007/7/10 20:12

  • pemen

  • Not too shy to talk

  • Posts: 186

  • Since: 2002/7/8 7


The problem is not to know if XOOPS must go to PHP5 but when.
Starting from the fact that the PHP team will stop the support for PHP4 it's an necessity.
It's the classical scenario for software development and evolution.

From a technical point of view,when a CMS has OO in its own name, it needs to adopt the true PHP OO version
(PHP5, PHP6) !



IMHO
Identity management, LDAP, Workflow and more
XoopsPro

23
jdseymour
Re: Moving to Php5 definitively

Quote:

BlueStocking wrote:
Quote:

because there is a compatibility between php4 to php5 yes, but there'll be not from php4 to php6...


It would make sense to wait for php6 then, wouldn't it?


Actually no. If you try to go from php 4 to php 6 you would be asking for trouble. As in any software each major version is a stepping stone to the next.

24
nekro
Re: Moving to Php5 definitively
  • 2007/7/10 22:18

  • nekro

  • Quite a regular

  • Posts: 213

  • Since: 2005/11/9


Resized Image

Nothing else to say :P

25
nekro
Re: Moving to Php5 definitively
  • 2007/7/10 22:27

  • nekro

  • Quite a regular

  • Posts: 213

  • Since: 2005/11/9


Quote:
Just an idea :
extend the $modversion array in xoops_version.php to include :

1/ The last date of the module's modification
2/ The Php versions supported
3/ The MySQL versions supported

In 6 months, every module without this is declared, de facto, unsupported (and too old)

But it suppose to have "something" in the XOOPS modules manager.
Something like : "inspect your modules"

Just an idea.


I totally agree with hervet with that... is more.... i am thinking how to implement it... (is not dificult at all) ...

Another thing to implement in that way is that if the module needs any other module installed before or any editor ... like dependeces... as for example the modules of XOOPS mexico...

I will present it as a feature request in sf.net

26
snow77
Re: Moving to Php5 definitively
  • 2007/7/10 22:37

  • snow77

  • Just can't stay away

  • Posts: 864

  • Since: 2003/7/23


I agree with Nekro!

I won't have a hosting that's not upgraded enough to handle PHP5, if there's a hosting/application that has outdated software and won't provide upgrades it means their bad.

[edit]adding more...

almost forgot..for developers PHP5 means ALOT...it gives them more and better functions to work with

btw, 2.0.16 by Skalpa runs perfectly on PHP5 so it's more a module issue than core issue I think.

27
giba
Re: Moving to Php5 definitively
  • 2007/7/10 23:51

  • giba

  • Just can't stay away

  • Posts: 638

  • Since: 2003/4/26


Resized Image

I agree with Nekro to, but....

Translated by google...

We need with urgency of a stated period to be able to adjust the dependences of suggested the new modules and to add features in the blocks.

For standard I already am bringing up to date some things that are being suggested for the module xoopsInfo by Dugris.

The ideal would be to include this verification in the XoopsInfo module so that it makes the verification in the modules.

If not to include new features in xoops_version, would be considered as being incompatible from one determined date.

Now we need to define from when will be this date?

[pt_br]
Precisamos com urgência de um prazo para poder adequar as dependências dos módulos e adicionar as novas features sugeridas nos blocos.

Por padr?o eu já estou atualizando algumas coisas que est?o sendo sugeridas pelo módulo xoopsInfo by Dugris.

O ideal seria incluir esta verifica??o no módulo XoopsInfo para que ele fa?a a verifica??o nos módulos.

Se n?o incluir as novas features no xoops_version, seria considerado como sendo incompatível a partir de uma determinada data.

Agora precisamos definir a partir de quando será esta data ?
[/pt_br]

28
giba
Re: Moving to Php5 definitively
  • 2007/7/10 23:57

  • giba

  • Just can't stay away

  • Posts: 638

  • Since: 2003/4/26


An excellent example that we can have using php5.

One is created install that it could generate a dynamic folder saw install with special access saw ftp that could manage the permissions and create folders TRUST_PATH and thus to be able to install modules and even though to configure the MAINFILE.PHP it are of the root web.

This is only one example that could be to become real in next editions XOOPS and already also counts of our RoadMap. More details can temporarily be seen in http://www.xoops.net.br.

[pt_br]
Um ótimo exemplo que podemos ter usando o php5.

Cria-se um install que pudesse gerar uma pasta din?mica via install com acesso especial via ftp que pudesse administrar as permiss?es e criar pastas TRUST_PATH e assim poder instalar módulos e até mesmo configurar o MAINFILE.PHP fora da raiz web.

Este é apenas um exemplo que poderia ser tornar real nas próximas edi??es XOOPS e já consta de nosso RoadMap também.

Mais detalhes pode ser visto em http://www.xoops.net.br temporariamente.
[/pt_br]


29
nekro
Re: Moving to Php5 definitively
  • 2007/7/11 0:51

  • nekro

  • Quite a regular

  • Posts: 213

  • Since: 2005/11/9


@Giba, implementing things in the xoops_version is not restrictive to previus modules, that feature will not be able, and a warning about that: the compatibility with the "current" version of XOOPS is not SURE, nothing else, i don't think that it has to be in a module...

I had been also talking with dugris and one of my favourites features of xoopsinfo (checking the version), has a little problem, as i know not all the servers allow to read a file in another server, so, the solution is to make it as an rss reader, with xml. I ve done a little test/example and is running in a personal version directly in the module administracion page.

30
Mamba
Re: Moving to Php5 definitively
  • 2007/7/11 2:31

  • Mamba

  • Moderator

  • Posts: 11245

  • Since: 2004/4/23


Quote:

nekro wrote:
Resized Image

Nothing else to say :P


Totally agree. In order to keep XOOPS competitive, we have to move to PHP5 to take advantage of new features/functionality. We have to develop for the future, not for the past. Otherwise we still would be developing in machine code.

But I would love to see a "Conversion Team" that would convert the most popular PHP4 modules to PHP5. Something along the lines of SmartTeam that converted/improved some of the existing modules to Smart modules.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Login

Username:
Password:

Lost Password? Register now!

Who's Online

57 user(s) are online (28 user(s) are browsing Support Forums)


Members: 0


Guests: 57


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: May 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits